package cz.moneta.test.harness.messaging.model;

import java.util.Objects;

public abstract class Destination {

    private final String name;
    private final String type;

    protected Destination(String name, String type) {
        this.name = Objects.requireNonNull(name, "name");
        this.type = Objects.requireNonNull(type, "type");
    }

    public String getName() {
        return name;
    }

    public String getType() {
        return type;
    }
}
